Priority: Normal   
Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for
https://github.com/theforeman/puppet-for
Description

It should be possible to install Keycloak integration in a way that the installer keeps the files generated by

keycloak-httpd-client-install. That also requires mod_auth_openidc to be present and loaded.

Subtasks:

Bug # 26316: [Keycloak-UI] Automate configuration of keycloak integration with foreman Duplicate

Associated revisions

Revision 0e862141 - 02/28/2020 12:37 PM - Ewoud Kohl van Wijngaarden

Fixes #28436 - Add keycloak support

This adds support for keycloak when using the

keycloak-httpd-client-install command. A more native integration would

rely on the oidc support in puppetlabs-apache, but that's unreleased.

It drops the dependency chaining for the passenger package because it

was leading to dependency cycles and I don't see a reason for the

explicit chaining.

Revision a9859de9 - 03/05/2020 04:21 PM - Ewoud Kohl van Wijngaarden

Refs #28436 - Drop unused parameter

0e8621418b1eb3418066552945218cbad8d71f2d added this, but was a left over

from an earlier iteration.

History

#1 - 12/05/2019 05:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/779 added

#2 - 12/09/2019 02:18 PM - Tomer Brisker

- Target version changed from 1.24.0 to 1.24.1

#3 - 01/08/2020 02:40 PM - Tomer Brisker

- Target version deleted (1.24.1)

#4 - 02/28/2020 12:37 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added
#5 - 02/28/2020 01:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|0e8621418b1eb3418066552945218cbad8d71f2d.

#6 - 03/05/2020 03:42 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/810 added

Powered by TCPDF (www.tcpdf.org)

05/12/2024 2/2

https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/0e8621418b1eb3418066552945218cbad8d71f2d
http://www.tcpdf.org

